## getdata.R
##
## load data from the three .csv files.

mutrep <- read.csv(file.path("..","Revised2Data","mutrep.csv"))
mutacute <- read.csv(file.path("..","Revised2Data","mutacute.csv"))
nmrep <- read.csv(file.path("..","Revised2Data","nmrep.csv"))
lifetime <- read.csv(file.path("..","Revised2Data","lifetime.csv"))

## Drop any column named "X"

if ("X" %in% names(mutrep))
  mutrep <- mutrep[,"X" != names(mutrep)]
if ("X" %in% names(nmrep))
  nmrep <- nmrep[, "X" != names(nmrep)]
if ("X" %in% names(lifetime))
  lifetime <- lifetime[, "X" != names(lifetime)]

## Set Flag in mutacute properly:

mutacute$Flag <- as.character(mutacute$Flag) %in% " TRUE"

save(mutrep,nmrep,lifetime,mutacute,file=file.path("data","data.RData"))
