### Recombine the results from the mutacute runs

BLOCKS <- matrix(c(1,31,61,91,121,151,181,211,241,
                   30,60,90,120,150,180,210,240,268),nrow=9,ncol=2)

load(file.path("Stats","mutacute","Dists-1.RData"))
load(file.path("Stats","mutacute","MeanVar-1.RData"))

NewAllDists <- AllDists
NewMeanVar <- MeanVar

for (i in 2:9) {
  istart <- BLOCKS[i,1]
  istop <- BLOCKS[i,2]
  load(file.path("Stats","mutacute",
                 paste("Dists-",i,".RData",sep="")))
  NewAllDists[istart:istop] <- AllDists[istart:istop]
  
  load(file.path("Stats","mutacute",
                 paste("MeanVar-",i,".RData",sep="")))
  for (k in 1:2) {
    NewMeanVar[[k]][istart:istop,] <- MeanVar[[k]][istart:istop,]
  }
}

MeanVar <- NewMeanVar
AllDists <- NewAllDists

save(MeanVar,file=file.path("Stats","mutacute","MeanVar.RData"))
save(AllDists,file=file.path("Stats","mutacute","Dists.RData"))

